commit 670c8c6dda9819808fb55f6dc4fd413ac58adf4e
parent 43d0aa96b68193de56d3af5f914a207f8eb98624
Author: ashermorgan <59518073+ashermorgan@users.noreply.github.com>
Date: Wed, 18 Aug 2021 17:42:31 -0700
Add deploy script
Diffstat:
3 files changed, 22 insertions(+), 0 deletions(-)
diff --git a/README.md b/README.md
@@ -25,3 +25,8 @@ Build for production
```
npm run build
```
+
+Deploy to GitHub Pages
+```
+. scripts/deploy.sh
+```
diff --git a/scripts/deploy.sh b/scripts/deploy.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env sh
+
+# abort on errors
+set -e
+
+npm run build
+
+cd dist
+
+git init
+git add -A
+git commit -m 'deploy'
+git push -f https://github.com/ashermorgan/running-tools master:gh-pages
+
+cd -
diff --git a/vue.config.js b/vue.config.js
@@ -1,4 +1,5 @@
module.exports = {
+ publicPath: process.env.NODE_ENV === 'production' ? '/running-tools/' : '/',
pwa: {
name: 'Running Tools',
themeColor: '#ff8000',
@@ -15,6 +16,7 @@ module.exports = {
background_color: '#ff8000',
display: 'fullscreen',
lang: 'en-US',
+ scope: './',
},
},
};